From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/gnutls/, net-libs/gnutls/files/
Date: Fri, 4 Sep 2020 16:14:23 +0000 (UTC) [thread overview]
Message-ID: <1599236027.807088725f04adee3a1e0ed9a8b41d8d647262b3.whissi@gentoo> (raw)
commit: 807088725f04adee3a1e0ed9a8b41d8d647262b3
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 4 15:28:14 2020 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri Sep 4 16:13:47 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80708872
net-libs/gnutls: bump to v3.6.15
Bug: https://bugs.gentoo.org/649396
Bug: https://bugs.gentoo.org/711104
Bug: https://bugs.gentoo.org/740390
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
net-libs/gnutls/Manifest | 1 +
.../gnutls-3.6.15-skip-dtls-seccomp-tests.patch | 26 ++++
net-libs/gnutls/gnutls-3.6.15.ebuild | 134 +++++++++++++++++++++
3 files changed, 161 insertions(+)
diff --git a/net-libs/gnutls/Manifest b/net-libs/gnutls/Manifest
index a6db64d03c0..580a7c962dd 100644
--- a/net-libs/gnutls/Manifest
+++ b/net-libs/gnutls/Manifest
@@ -1 +1,2 @@
DIST gnutls-3.6.14.tar.xz 6069088 BLAKE2B a1cd88a7c977f3a94a49e4187878560a8d9589a6fd32d8ad41b84c33534597fb85a88cf6b260a4a5e8b1a100790a7ba701acac2368f1ad42dcaba7e5c90b6758 SHA512 b2d427b5542a4679117c011dffa8efb0e0bffa3ce9cebc319f8998d03f80f4168d08f9fda35df18dbeaaada59e479d325a6c1c77d5ca7f8ce221b44e42bfe604
+DIST gnutls-3.6.15.tar.xz 6081656 BLAKE2B 6c52419037e41e817087a2577a6b73969cf065453ecf88e2f87152f544a177e4ad0ef825ae9dab243312e0223a953ab28e532bd2dbf96cb9498618415bc7f654 SHA512 f757d1532198f44bcad7b73856ce6a05bab43f6fb77fcc81c59607f146202f73023d0796d3e1e7471709cf792c8ee7d436e19407e0601bc0bda2f21512b3b01c
diff --git a/net-libs/gnutls/files/gnutls-3.6.15-skip-dtls-seccomp-tests.patch b/net-libs/gnutls/files/gnutls-3.6.15-skip-dtls-seccomp-tests.patch
new file mode 100644
index 00000000000..dad6cec8d3d
--- /dev/null
+++ b/net-libs/gnutls/files/gnutls-3.6.15-skip-dtls-seccomp-tests.patch
@@ -0,0 +1,26 @@
+https://bugs.gentoo.org/649396
+https://bugs.gentoo.org/711104
+
+--- a/tests/dtls-client-with-seccomp.c
++++ b/tests/dtls-client-with-seccomp.c
+@@ -27,7 +27,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+
+-#if defined(_WIN32) || !defined(HAVE_LIBSECCOMP)
++#if 1
+
+ int main()
+ {
+--- a/tests/dtls-with-seccomp.c
++++ b/tests/dtls-with-seccomp.c
+@@ -27,7 +27,7 @@
+ #include <stdio.h>
+ #include <stdlib.h>
+
+-#if defined(_WIN32) || !defined(HAVE_LIBSECCOMP)
++#if 1
+
+ int main()
+ {
+
diff --git a/net-libs/gnutls/gnutls-3.6.15.ebuild b/net-libs/gnutls/gnutls-3.6.15.ebuild
new file mode 100644
index 00000000000..2aaf56d8ded
--- /dev/null
+++ b/net-libs/gnutls/gnutls-3.6.15.ebuild
@@ -0,0 +1,134 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit libtool multilib-minimal
+
+DESCRIPTION="A TLS 1.2 and SSL 3.0 implementation for the GNU project"
+HOMEPAGE="http://www.gnutls.org/"
+SRC_URI="mirror://gnupg/gnutls/v$(ver_cut 1-2)/${P}.tar.xz"
+
+LICENSE="GPL-3 LGPL-2.1+"
+SLOT="0/30" # libgnutls.so number
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+cxx dane doc examples guile +idn nls +openssl pkcs11 seccomp sslv2 sslv3 static-libs test test-full +tls-heartbeat tools valgrind"
+
+REQUIRED_USE="
+ test-full? ( cxx dane doc examples guile idn nls openssl pkcs11 seccomp tls-heartbeat tools )"
+RESTRICT="!test? ( test )"
+
+# NOTICE: sys-devel/autogen is required at runtime as we
+# use system libopts
+RDEPEND=">=dev-libs/libtasn1-4.9:=[${MULTILIB_USEDEP}]
+ dev-libs/libunistring:=[${MULTILIB_USEDEP}]
+ >=dev-libs/nettle-3.4.1:=[gmp,${MULTILIB_USEDEP}]
+ >=dev-libs/gmp-5.1.3-r1:=[${MULTILIB_USEDEP}]
+ tools? ( sys-devel/autogen:= )
+ dane? ( >=net-dns/unbound-1.4.20:=[${MULTILIB_USEDEP}] )
+ guile? ( >=dev-scheme/guile-2:=[networking] )
+ nls? ( >=virtual/libintl-0-r1:=[${MULTILIB_USEDEP}] )
+ pkcs11? ( >=app-crypt/p11-kit-0.23.1:=[${MULTILIB_USEDEP}] )
+ idn? ( >=net-dns/libidn2-0.16-r1:=[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ test? (
+ seccomp? ( sys-libs/libseccomp )
+ )"
+BDEPEND=">=virtual/pkgconfig-0-r1
+ doc? ( dev-util/gtk-doc )
+ nls? ( sys-devel/gettext )
+ tools? ( sys-devel/autogen )
+ valgrind? ( dev-util/valgrind )
+ test-full? (
+ app-crypt/dieharder
+ >=app-misc/datefudge-1.22
+ dev-libs/softhsm:2[-bindist]
+ net-dialup/ppp
+ net-misc/socat
+ )"
+
+DOCS=(
+ README.md
+ doc/certtool.cfg
+)
+
+HTML_DOCS=()
+
+PATCHES=( "${FILESDIR}"/${PN}-3.6.15-skip-dtls-seccomp-tests.patch )
+
+pkg_setup() {
+ # bug#520818
+ export TZ=UTC
+
+ use doc && HTML_DOCS+=(
+ doc/gnutls.html
+ )
+}
+
+src_prepare() {
+ default
+
+ # force regeneration of autogen-ed files
+ local file
+ for file in $(grep -l AutoGen-ed src/*.c) ; do
+ rm src/$(basename ${file} .c).{c,h} || die
+ done
+
+ # Use sane .so versioning on FreeBSD.
+ elibtoolize
+}
+
+multilib_src_configure() {
+ LINGUAS="${LINGUAS//en/en@boldquot en@quot}"
+
+ local libconf=()
+
+ # TPM needs to be tested before being enabled
+ libconf+=( --without-tpm )
+
+ # hardware-accell is disabled on OSX because the asm files force
+ # GNU-stack (as doesn't support that) and when that's removed ld
+ # complains about duplicate symbols
+ [[ ${CHOST} == *-darwin* ]] && libconf+=( --disable-hardware-acceleration )
+
+ # Cygwin as does not understand these asm files at all
+ [[ ${CHOST} == *-cygwin* ]] && libconf+=( --disable-hardware-acceleration )
+
+ local myeconfargs=(
+ $(multilib_native_enable manpages)
+ $(multilib_native_use_enable doc gtk-doc)
+ $(multilib_native_use_enable doc)
+ $(multilib_native_use_enable guile)
+ $(multilib_native_use_enable seccomp seccomp-tests)
+ $(multilib_native_use_enable test tests)
+ $(multilib_native_use_enable test-full full-test-suite)
+ $(multilib_native_use_enable tools)
+ $(multilib_native_use_enable valgrind valgrind-tests)
+ $(use_enable cxx)
+ $(use_enable dane libdane)
+ $(use_enable nls)
+ $(use_enable openssl openssl-compatibility)
+ $(use_enable sslv2 ssl2-support)
+ $(use_enable sslv3 ssl3-support)
+ $(use_enable static-libs static)
+ $(use_enable tls-heartbeat heartbeat-support)
+ $(use_with idn)
+ $(use_with pkcs11 p11-kit)
+ --disable-rpath
+ --with-default-trust-store-file="${EPREFIX}/etc/ssl/certs/ca-certificates.crt"
+ --with-unbound-root-key-file="${EPREFIX}/etc/dnssec/root-anchors.txt"
+ --without-included-libtasn1
+ $("${S}/configure" --help | grep -o -- '--without-.*-prefix')
+ )
+ ECONF_SOURCE="${S}" econf "${libconf[@]}" "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}" -type f -name '*.la' -delete || die
+
+ if use examples; then
+ docinto examples
+ dodoc doc/examples/*.c
+ fi
+}
next reply other threads:[~2020-09-04 16:14 UTC|newest]
Thread overview: 13+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-09-04 16:14 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-16 23:28 [gentoo-commits] repo/gentoo:master commit in: net-libs/gnutls/, net-libs/gnutls/files/ Sam James
2024-04-27 22:11 Sam James
2022-05-14 21:24 Sam James
2022-03-18 6:16 Sam James
2021-05-23 11:48 David Seifert
2021-03-28 6:08 Thomas Deutschmann
2020-06-09 14:58 Thomas Deutschmann
2019-01-06 19:27 Alon Bar-Lev
2017-09-09 19:34 Alon Bar-Lev
2017-05-19 15:50 Alon Bar-Lev
2016-08-12 16:43 Alon Bar-Lev
2015-12-19 11:27 Alon Bar-Lev
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1599236027.807088725f04adee3a1e0ed9a8b41d8d647262b3.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox